gnutls_certificate_set_openpgp_key_mem(3)

NAME
gnutls_certificate_set_openpgp_key_mem - API function

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_certificate_set_openpgp_key_mem(gnutls_certificate_credentials_t res, const gnutls_datum_t * cert, const gnutls_datum_t * key, gnutls_openpgp_crt_fmt_t format);

ARGUMENTS

gnutls_certificate_credentials_t            res
    the destination context to save the data.

const gnutls_datum_t * cert
    the datum that contains the public key.

const gnutls_datum_t * key
    the datum that contains the secret key.

gnutls_openpgp_crt_fmt_t format
    the format of the keys

DESCRIPTION
This funtion is used to load OpenPGP keys into the GnuTLS credential structure. The datum should contain at least one valid non encrypted subkey.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/